Bug 39275 - Update port: astro/xephem ${PERL} -> ${REINPLACE_CMD}
Summary: Update port: astro/xephem ${PERL} -> ${REINPLACE_CMD}
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: freebsd-ports (Nobody)
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2002-06-14 10:50 UTC by obraun
Modified: 2002-07-08 11:16 UTC (History)
0 users

See Also:


Attachments
file.diff (508 bytes, patch)
2002-06-14 10:50 UTC, obraun
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description obraun 2002-06-14 10:50:01 UTC
Replace ${PERL} with ${REINPLACE_CMD}.

Regards,
         Olli
Comment 1 obraun 2002-06-16 11:15:34 UTC
mega-patch for category astro. Obsoletes PR's ports/39274, and
ports/39275.

Regards,
         Olli

Index: pyweather/Makefile
===================================================================
RCS file: /home/ncvs/ports/astro/pyweather/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- pyweather/Makefile	29 Apr 2002 11:24:29 -0000	1.9
+++ pyweather/Makefile	16 Jun 2002 10:13:46 -0000
@@ -18,7 +18,7 @@
 NO_BUILD=	yes
 
 post-patch:
-	@${PERL} -pi -e "s:/usr/bin/python:${PYTHON_CMD}:g ; \
+	@${REINPLACE_CMD} -e "s:/usr/bin/python:${PYTHON_CMD}:g ; \
 		s:pyWeather.py:pyWeather:g" ${WRKSRC}/pyWeather.py
 
 do-install:
Index: xephem/Makefile
===================================================================
RCS file: /home/ncvs/ports/astro/xephem/Makefile,v
retrieving revision 1.28
diff -u -r1.28 Makefile
--- xephem/Makefile	29 Jan 2002 09:33:24 -0000	1.28
+++ xephem/Makefile	16 Jun 2002 10:13:46 -0000
@@ -24,7 +24,7 @@
 LIBIPSRC=	${WRKDIR}/${DISTNAME}/libip
 
 post-patch:
-	@${PERL} -pi -e 's|CC =|CC?=|g ; \
+	@${REINPLACE_CMD} -e 's|CC =|CC?=|g ; \
 		 s|CFLAGS=|CFLAGS+=|g ; \
 		 s|-O2 ||g' ${LIBASTROSRC}/Makefile ${LIBIPSRC}/Makefile
Comment 2 obraun 2002-06-20 00:07:59 UTC
add USE_REINPLACE= yes

Regards,
         Olli


Index: pyweather/Makefile
===================================================================
RCS file: /home/ncvs/ports/astro/pyweather/Makefile,v
retrieving revision 1.9
diff -u -r1.9 Makefile
--- pyweather/Makefile	2002/04/29 11:24:29	1.9
+++ pyweather/Makefile	2002/06/19 23:07:31
@@ -14,11 +14,12 @@
 
 MAINTAINER=	ports@FreeBSD.org
 
+USE_REINPLACE=	yes
 USE_PYTHON=	yes
 NO_BUILD=	yes
 
 post-patch:
-	@${PERL} -pi -e "s:/usr/bin/python:${PYTHON_CMD}:g ; \
+	@${REINPLACE_CMD} -e "s:/usr/bin/python:${PYTHON_CMD}:g ; \
 		s:pyWeather.py:pyWeather:g" ${WRKSRC}/pyWeather.py
 
 do-install:
Index: xephem/Makefile
===================================================================
RCS file: /home/ncvs/ports/astro/xephem/Makefile,v
retrieving revision 1.28
diff -u -r1.28 Makefile
--- xephem/Makefile	2002/01/29 09:33:24	1.28
+++ xephem/Makefile	2002/06/19 23:07:31
@@ -18,13 +18,14 @@
 
 USE_MOTIF=	yes
 USE_IMAKE=	yes
+USE_REINPLACE=	yes
 MAN1=		xephem.1
 
 LIBASTROSRC=	${WRKDIR}/${DISTNAME}/libastro
 LIBIPSRC=	${WRKDIR}/${DISTNAME}/libip
 
 post-patch:
-	@${PERL} -pi -e 's|CC =|CC?=|g ; \
+	@${REINPLACE_CMD} -e 's|CC =|CC?=|g ; \
 		 s|CFLAGS=|CFLAGS+=|g ; \
 		 s|-O2 ||g' ${LIBASTROSRC}/Makefile ${LIBIPSRC}/Makefile
Comment 3 Ying-Chieh Liao freebsd_committer 2002-07-08 11:16:40 UTC
State Changed
From-To: open->closed

committed, thanks